# Asterisk Project : Asterisk 13 ManagerEvent_FAXStatus

Created by wikibot on Aug 08, 2014

# FAXStatus

### Synopsis

Raised periodically during a fax transmission.

### Description

### Syntax

    Event: FAXStatus
    Channel: <value>
    ChannelState: <value>
    ChannelStateDesc: <value>
    CallerIDNum: <value>
    CallerIDName: <value>
    ConnectedLineNum: <value>
    ConnectedLineName: <value>
    AccountCode: <value>
    Context: <value>
    Exten: <value>
    Priority: <value>
    Uniqueid: <value>
    Operation: <value>
    Status: <value>
    LocalStationID: <value>
    FileName: <value>

##### Arguments

- `Channel`
- `ChannelState` - A numeric code for the channel's current state, related to ChannelStateDesc
- `ChannelStateDesc`
  - `Down`
  - `Rsrvd`
  - `OffHook`
  - `Dialing`
  - `Ring`
  - `Ringing`
  - `Up`
  - `Busy`
  - `Dialing Offhook`
  - `Pre-ring`
  - `Unknown`
- `CallerIDNum`
- `CallerIDName`
- `ConnectedLineNum`
- `ConnectedLineName`
- `AccountCode`
- `Context`
- `Exten`
- `Priority`
- `Uniqueid`
- `Operation`
  - `gateway`
  - `receive`
  - `send`
- `Status` - A text message describing the current status of the fax
- `LocalStationID` - The value of the `LOCALSTATIONID` channel variable
- `FileName` - The files being affected by the fax operation

### Class

CALL

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538